Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Type-Safe Access to BEA WebLogic Server 9.1 MBeans (Deprecated)
(Methods marked with @since 9.0.0.0 or later are not available through the deprecated `MBeanHome` interface.)

## weblogic.management.configuration
Interface WTCLocalTuxDomMBean

All Superinterfaces:
  ConfigurationMBean, weblogic.descriptor.DescriptorBean, DynamicMBean, MBeanRegistration, NotificationBroadcaster, weblogic.descriptor.SettableBean, weblogic.management.WebLogicMBean

public interface WTCLocalTuxDomMBean
extends ConfigurationMBean

This interface provides access to the WTC local Tuxedo Domain configuration attributes. The methods defined herein are applicable for WTC configuration at the WLS domain level.

### Deprecation of MBeanHome and Type-Safe Interfaces

This is a type-safe interface for a WebLogic Server MBean, which you can import into your client classes and access through `weblogic.management.MBeanHome`. As of 9.0, the `MBeanHome` interface and all type-safe interfaces for WebLogic Server MBeans are deprecated. Instead, client classes that interact with WebLogic Server MBeans should use standard JMX design patterns in which clients use the `javax.management.MBeanServerConnection` interface to discover MBeans, attributes, and attribute types at runtime. For more information, see "Developing Manageable Applications with JMX" on http://edocs.bea.com.

Since:
  7.0.0.0

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Field Summary

Fields inherited from interface weblogic.management.configuration.ConfigurationMBean
`DEFAULT_EMPTY_BYTE_ARRAY`

Method Summary
`String` | `getAccessPoint()` The unique name used to identify this local Tuxedo access point.
`String` | `getAccessPointId()` The connection principal name used to identify this local Tuxedo access point when attempting to establish a session connection with remote Tuxedo access points.
`long` | `getBlockTime()` The maximum number of seconds this local Tuxedo access point allows for a blocking call.
`int` | `getCmpLimit()` The compression threshold this local Tuxedo access point uses when sending data to a remote Tuxedo access point.
`String` | `getConnectionPolicy()` The conditions under which this local Tuxedo access point establishes a session connection with a remote Tuxedo access point.
`String` | `getConnPrincipalName()` The principal name used to verify the identity of this domain when establishing a connection to another domain.
`String` | `getInteroperate()` Specifies whether this local Tuxedo access point interoperates with remote Tuxedo access points that are based upon Tuxedo release 6.5.
`int` | `getKeepAlive()` Return value tells whether this local Tuxedo access point is configured with Application Level Keep Alive, and it maximum idle time value before wait timer start ticking.
`int` | `getKeepAliveWait()` Return value that tells whether this local Tuxedo access point requires the acknowledgement of Application Level Keep Alive, and how long it will wait without receiving acknowledgement before declare the connection is inaccessable.
`String` | `getMaxEncryptBits()` The maximum encryption key length (in bits) this local Tuxedo access point uses when establishing a session connection.
`long` | `getMaxRetries()` The maximum number of times that this local Tuxedo access point tries to establish a session connection to remote Tuxedo access points.
`String` | `getMinEncryptBits()` The minimum encryption key length (in bits) this local Tuxedo access point uses when establishing a session connection.
`String` | `getNWAddr()` The network address and port number of this local Tuxedo access point.
`long` | `getRetryInterval()` The number of seconds that this local Tuxedo access point waits between automatic connection attempts to remote Tuxedo access points.
`String` | `getSecurity()` The type of application security enforced.
`void` | `setAccessPoint(String AccessPoint)` Sets the value of the AccessPoint attribute.
`void` | `setAccessPointId(String AccessPointId)` Sets the value of the AccessPointId attribute.
`void` | `setBlockTime(long BlockTime)` Sets the value of the BlockTime attribute.
`void` | `setCmpLimit(int CmpLimit)` Sets the value of the CmpLimit attribute.
`void` | `setConnectionPolicy(String ConnectionPolicy)` Sets the value of the ConnectionPolicy attribute.
`void` | `setConnPrincipalName(String ConnPrincipalName)` Sets the value of the ConnPrincipalName attribute.
`void` | `setInteroperate(String Interoperate)` Sets the value of the Interoperate attribute.
`void` | `setKeepAlive(int KeepAlive)` Sets the value of the KeepAlive attribute.
`void` | `setKeepAliveWait(int KeepAliveWait)` Sets the value of the KeepAliveWait attribute.
`void` | `setMaxEncryptBits(String MaxEncryptBits)` Sets the value of the MaxEncryptBits attribute.
`void` | `setMaxRetries(long MaxRetries)` Sets the value of the MaxRetries attribute.
`void` | `setMinEncryptBits(String MinEncryptBits)` Sets the value of the MinEncryptBits attribute.
`void` | `setNWAddr(String ListenAddress)` Sets the value of the NWAddr attribute.
`void` | `setRetryInterval(long RetryInterval)` Sets the value of the RetryInterval attribute.
`void` | `setSecurity(String Security)` Sets the value of the Security attribute.

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getName, getNotes, isSet, restoreDefaultValue, setComments, setDefaultedMBean, setName, setNotes, setPersistenceEnabled, unSet`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Methods inherited from interface weblogic.descriptor.DescriptorBean
`addBeanUpdateListener, addPropertyChangeListener, createChildCopy, createChildCopyIncludingObsolete, getDescriptor, getParentBean, isEditable, removeBeanUpdateListener, removePropertyChangeListener`

Method Detail

### getAccessPoint

    public String getAccessPoint()

  The unique name used to identify this local Tuxedo access point. This name should be unique for all local and remote Tuxedo access points defined within a WTC Service. This allows you to define unique configurations having the same Access Point ID.

  Returns:
    The accessPoint value
  A dynamic MBean attribute.

### getAccessPointId

    public String getAccessPointId()

  The connection principal name used to identify this local Tuxedo access point when attempting to establish a session connection with remote Tuxedo access points.

  Note: The AccessPointId must match the corresponding DOMAINID in the *DM_REMOTE_DOMAINS section of your Tuxedo DMCONFIG file.

  Returns:
    The accessPointId value
  A dynamic MBean attribute.

### getBlockTime

    public long getBlockTime()

  The maximum number of seconds this local Tuxedo access point allows for a blocking call.

  Range of Values: Between `0` and a positive 32 bit integer.

  Returns:
    The blockTime value
  A dynamic MBean attribute.

### getCmpLimit

    public int getCmpLimit()

  The compression threshold this local Tuxedo access point uses when sending data to a remote Tuxedo access point. Application buffers larger than this size are compressed.

  Range of Values: Between `0` and a positive 32-bit integer.

  Returns:
    The cmpLimit value
  A dynamic MBean attribute.

### getConnectionPolicy

    public String getConnectionPolicy()

  The conditions under which this local Tuxedo access point establishes a session connection with a remote Tuxedo access point.

  The connection policies are:

  - `ON_DEMAND`: A connection is attempted only when requested by either a client request to a remote service or an administrative connect command.
  - `ON_STARTUP`: A domain gateway attempts to establish a connection with its remote Tuxedo access points at gateway server initialization time. Remote services (services advertised in JNDI by the domain gateway for this local access point) are advertised only if a connection is successfully established to that remote Tuxedo access point. If there is no active connection to a remote Tuxedo access point, then the remote services are suspended. By default, this connection policy retries failed connections every 60 seconds. Use the MaxRetry and RetryInterval values to specify application specific values.
  - `INCOMING_ONLY`: A domain gateway does not attempt an initial connection to remote Tuxedo access points at startup and remote services are initially suspended. The domain gateway is available for incoming connections from remote Tuxedo access points and remote services are advertised when the domain gateway for this local Tuxedo access point receives an incoming connection. Connection retry processing is not allowed.

  Returns:
    The connectionPolicy value
  A dynamic MBean attribute.

### getConnPrincipalName

    public String getConnPrincipalName()

  The principal name used to verify the identity of this domain when establishing a connection to another domain.

  Note: This parameter only applies to domains of type TDOMAIN that are running BEA Tuxedo 7.1 or later software. If not specified, the connection principal name defaults to the AccessPointID for this `domain.ConnPrincipalName`.

  Note: ConnPrincipalName is not supported in this release.

  Returns:
    The connPrincipalName value
  A dynamic MBean attribute.

### getInteroperate

    public String getInteroperate()

  Specifies whether this local Tuxedo access point interoperates with remote Tuxedo access points that are based upon Tuxedo release 6.5. If this value is set to `Yes`, the local Tuxedo access point interoperates with a Tuxedo 6.5 domain.

  Returns:
    The interoperate value
  A dynamic MBean attribute.

### getKeepAlive

    public int getKeepAlive()

  Return value tells whether this local Tuxedo access point is configured with Application Level Keep Alive, and it maximum idle time value before wait timer start ticking.

  Returns:
    keepAlive value
  A dynamic MBean attribute.

### getKeepAliveWait

    public int getKeepAliveWait()

  Return value that tells whether this local Tuxedo access point requires the acknowledgement of Application Level Keep Alive, and how long it will wait without receiving acknowledgement before declare the connection is inaccessable.

  Returns:
    keepAlive value
  A dynamic MBean attribute.

### getMaxEncryptBits

    public String getMaxEncryptBits()

  The maximum encryption key length (in bits) this local Tuxedo access point uses when establishing a session connection. A value of `0` indicates no encryption is used.

  Value Restrictions:

  - The MaxEncryptBits value must be greater than or equal to the MinEncrypBits value.
  - A MaxEncryptBits of `40` can be used only with domains running Tuxedo 7.1 or higher.

  Returns:
    The maxEncryptBits value
  A dynamic MBean attribute.

### getMaxRetries

    public long getMaxRetries()

  The maximum number of times that this local Tuxedo access point tries to establish a session connection to remote Tuxedo access points. Use this value only when Connection Policy is set to `ON_STARTUP`.

  Range of Values: Between `0` and a positive 64 bit integer.

  Note: Use the minimum value to disable the retry mechanism. Use the maximum value to try until a connection is established.

  Returns:
    The maxRetries value
  A dynamic MBean attribute.

### getMinEncryptBits

    public String getMinEncryptBits()

  The minimum encryption key length (in bits) this local Tuxedo access point uses when establishing a session connection. A value of ``0`` indicates no encryption is used.

  Value Restrictions:

  - The MinEncrypBits value must be less than or equal to the MaxEncrypBits value.
  - A MinEncrypBits value of `40` can be used only with domains running Tuxedo 7.1 or higher.

  Returns:
    The minEncryptBits value
  A dynamic MBean attribute.

### getNWAddr

    public String getNWAddr()

  The network address and port number of this local Tuxedo access point. Specify the TCP/IP address in the format: `//hostname:port_number` or `//#.#.#.#:port_number`.

  Note: If the hostname is used, the access point finds an address for hostname using the local name resolution facilities (usually DNS). If dotted decimal format is used, each # should be a number from 0 to 255. This dotted decimal number represents the IP address of the local machine. The port_number is the TCP port number at which the access point listens for incoming requests.

  Returns:
    The nWAddr value
  A dynamic MBean attribute.

### getRetryInterval

    public long getRetryInterval()

  The number of seconds that this local Tuxedo access point waits between automatic connection attempts to remote Tuxedo access points. Use this value only when Connection Policy is set to `ON_STARTUP`.

  Range of Values: Between 0 and a positive 32-bit integer.

  Returns:
    The retryInterval value
  A dynamic MBean attribute.

### getSecurity

    public String getSecurity()

  The type of application security enforced.

  The types of security are:

  - `NONE`: No security is used.
  - `APP_PW`: Password security is enforced when a connection is established from a remote domain. The application password is defined in the WTCResourcesMBean.
  - `DM_PW`: Domain password security is enforced when a connection is established from a remote domain. The domain password is defined in the WTCPasswordsMBean.

  Returns:
    The security value
  A dynamic MBean attribute.

### setAccessPoint

    public void setAccessPoint(String AccessPoint)
                        throws InvalidAttributeValueException

  Sets the value of the AccessPoint attribute.

  Parameters:
    `AccessPoint` - the name for the local Tuxedo access point
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getAccessPoint()`
  Default value:
    "myLAP"
  Legal null:
    false
  A dynamic MBean attribute.

### setAccessPointId

    public void setAccessPointId(String AccessPointId)
                          throws InvalidAttributeValueException

  Sets the value of the AccessPointId attribute.

  Parameters:
    `AccessPointId` - the local Tuxedo access point identifier
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getAccessPointId()`
  Default value:
    "myLAPId"
  Legal null:
    false
  A dynamic MBean attribute.

### setBlockTime

    public void setBlockTime(long BlockTime)
                      throws InvalidAttributeValueException

  Sets the value of the BlockTime attribute.

  Parameters:
    `BlockTime` - the maximum wait time allowed for a blocking call
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getBlockTime()`
  Default value:
    60
  Minimum value:
    0
  Maximum value:
    java.lang.Integer.MAX_VALUE
  A dynamic MBean attribute.

### setCmpLimit

    public void setCmpLimit(int CmpLimit)
                     throws InvalidAttributeValueException

  Sets the value of the CmpLimit attribute.

  Parameters:
    `CmpLimit` - The compression threshold for this local Tuxedo access point
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `#getCmplimit`
  Default value:
    java.lang.Integer.MAX_VALUE
  Minimum value:
    0
  Maximum value:
    java.lang.Integer.MAX_VALUE
  A dynamic MBean attribute.

### setConnectionPolicy

    public void setConnectionPolicy(String ConnectionPolicy)
                             throws InvalidAttributeValueException

  Sets the value of the ConnectionPolicy attribute.

  Parameters:
    `ConnectionPolicy` - the connection policy for this local Tuxedo access point
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `#getConectionPolicy`
  Default value:
    "ON_DEMAND"
  Legal values:
    "ON_DEMAND","ON_STARTUP","INCOMING_ONLY"
  A dynamic MBean attribute.

### setConnPrincipalName

    public void setConnPrincipalName(String ConnPrincipalName)
                              throws InvalidAttributeValueException

  Sets the value of the ConnPrincipalName attribute.

  Parameters:
    `ConnPrincipalName` - The new connPrincipalName value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getConnPrincipalName()`
  A dynamic MBean attribute.

### setInteroperate

    public void setInteroperate(String Interoperate)
                         throws InvalidAttributeValueException

  Sets the value of the Interoperate attribute.

  Parameters:
    `Interoperate` - The interoperatibility desired for this local Tuxedo access point
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getInteroperate()`
  Default value:
    "No"
  Legal values:
    "Yes", "No"
  A dynamic MBean attribute.

### setKeepAlive

    public void setKeepAlive(int KeepAlive)
                      throws InvalidAttributeValueException

  Sets the value of the KeepAlive attribute. The value of 0 means no Application Level KeepAlive. Any other values in the valid value range means the maximum inactive time before start counting the the wait timer. The value is measured in millisecond and rounded up to second.

  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getKeepAlive()`
  Default value:
    0
  Minimum value:
    0
  Maximum value:
    java.lang.Integer.MAX_VALUE
  A dynamic MBean attribute.

### setKeepAliveWait

    public void setKeepAliveWait(int KeepAliveWait)
                          throws InvalidAttributeValueException

  Sets the value of the KeepAliveWait attribute. The value of 0 means don't initiate Application Level KeepAlive, but do acknowledge if receive one. Any other values in the valid value range means the maximum time allowed without receiving acknowledgement before WTC declares the connection is inaccessable. The value is measured in millisecond and rounded up to second.

  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getKeepAliveWait()`
  Default value:
    0
  Minimum value:
    0
  Maximum value:
    java.lang.Integer.MAX_VALUE
  A dynamic MBean attribute.

### setMaxEncryptBits

    public void setMaxEncryptBits(String MaxEncryptBits)
                           throws InvalidAttributeValueException

  Sets the value of the MaxEncryptBits attribute.

  Parameters:
    `MaxEncryptBits` - The encryption level desired for this local Tuxedo access point
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getMaxEncryptBits()`
  Default value:
    "128"
  Legal values:
    "0","40","56","128"
  A dynamic MBean attribute.

### setMaxRetries

    public void setMaxRetries(long MaxRetries)
                       throws InvalidAttributeValueException

  Sets the value of the MaxRetries attribute.

  Parameters:
    `MaxRetries` - the number of times to attempt connection to remote Tuxedo access points
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getMaxRetries()`
  Default value:
    java.lang.Long.MAX_VALUE
  Minimum value:
    0
  Maximum value:
    java.lang.Long.MAX_VALUE
  A dynamic MBean attribute.

### setMinEncryptBits

    public void setMinEncryptBits(String MinEncryptBits)
                           throws InvalidAttributeValueException

  Sets the value of the MinEncryptBits attribute.

  Parameters:
    `MinEncryptBits` - The minimum encryption level desired for this local Tuxedo access point
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getMinEncryptBits()`
  Default value:
    "0"
  Legal values:
    "0","40","56","128"
  A dynamic MBean attribute.

### setNWAddr

    public void setNWAddr(String ListenAddress)
                   throws InvalidAttributeValueException

  Sets the value of the NWAddr attribute.

  Parameters:
    `ListenAddress` - The new nWAddr value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getNWAddr()`
  Default value:
    "//localhost:8901"
  A dynamic MBean attribute.

### setRetryInterval

    public void setRetryInterval(long RetryInterval)
                          throws InvalidAttributeValueException

  Sets the value of the RetryInterval attribute.

  Parameters:
    `RetryInterval` - the retry interval for this local Tuxedo access point
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getRetryInterval()`
  Default value:
    60
  Minimum value:
    0
  Maximum value:
    java.lang.Integer.MAX_VALUE
  A dynamic MBean attribute.

### setSecurity

    public void setSecurity(String Security)
                     throws InvalidAttributeValueException

  Sets the value of the Security attribute.

  Parameters:
    `Security` - the security level to be enforced
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getSecurity()`
  Default value:
    "NONE"
  Legal values:
    "NONE","APP_PW","DM_PW"
  A dynamic MBean attribute.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs91 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD